INSTALL-MIMIC(1)

NAME
install-mimic - overwrite files preserving the destination's ownership and access mode

SYNOPSIS
install-mimic [-v] [-r reffile] srcfile dstfile
install-mimic [-v] [-r reffile] file1 [file2...] directory
install-mimic -V | -h

DESCRIPTION
The install-mimic utility copies the specified files to the specified destination (file or directory) similarly to install(1), but it preserves the ownership and access mode of the destination files. This is useful when updating files that have already been installed with locally modified copies that may be owned by the current user and not by the desired owner of the destination file (e.g. root).

Options:

-h  Display program usage information and exit.

-r  Specify a file to obtain the ownership and access information from; useful when installing a new file that should be similar to other files in the same location.

-V  Display program version information and exit.

-v  Verbose operation; display diagnostic output.

RETURN VALUES

ENVIRONMENT
The install-mimic utility's operation is currently not directly affected by its environment.

FILES
The install-mimic utility's operation is currently not directly affected by any files.

EXAMPLES
Overwrite a system file with a local copy:

    install-mimic ./install-mimic.pl /usr/bin/install-mimic

Overwrite several files with local copies with the same name:

    install-mimic cinder/*.py /usr/lib/python2.7/dist-packages/cinder/

Install a new file similar to a system file:

    install-mimic -v -r /usr/bin/install-mimic install-none /usr/bin/

HISTORY
The install-mimic utility was written by Peter Pentchev in 2015.

AUTHORS
Peter Penchev <roam@ringlet.net>